Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.teststeps
Class WsdlTestRequestStep

    java.lang.Object
      com.eviware.soapui.model.support.AbstractModelItem
          com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>
              com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep
                  com.eviware.soapui.impl.wsdl.teststeps.WsdlTestRequestStep

All Implemented Interfaces:
  ModelItem, TestStep, PropertyChangeNotifier, java.beans.PropertyChangeListener, java.util.EventListener

    public class WsdlTestRequestStep

extends WsdlTestStep
implements java.beans.PropertyChangeListener

WsdlTestStep that executes a WsdlTestRequest

Author:
  Ole.Matzura

Nested Class Summary
`class` | `WsdlTestRequestStep.InternalInterfaceListener`
`class` | `WsdlTestRequestStep.InternalProjectListener`

Nested classes/interfaces inherited from class com.eviware.soapui.model.support.AbstractModelItem
`AbstractModelItem.ShowModelItemAction`

Field Summary

Fields inherited from interface com.eviware.soapui.model.testsuite.TestStep
`DISABLED_PROPERTY`

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlTestRequestStep(WsdlTestCase testCase, com.eviware.soapui.config.TestStepConfig config, boolean forLoadTest)`
`WsdlTestRequestStep(WsdlTestCase testCase, com.eviware.soapui.config.TestStepConfig testStep, WsdlRequest request)`
`WsdlTestRequestStep(WsdlTestCase testCase, WsdlTestRequest sourceRequest)`

Method Summary
`boolean` | `cancel()`
`WsdlTestStep` | `clone(WsdlTestCase targetTestCase, java.lang.String name)` Called after cloning for custom behaviour
`boolean` | `dependsOn(AbstractWsdlModelItem modelItem)`
`WsdlMessageAssertion` | `getAssertionAt(int index)`
`int` | `getAssertionCount()`
`java.lang.String` | `getDescription()`
`javax.swing.ImageIcon` | `getIcon()`
`java.lang.String` | `getInterfaceName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getOperationName()`
`java.util.Collection<WsdlInterface>` | `getRequiredInterfaces()`
`WsdlTestRequest` | `getTestRequest()`
`void` | `onSave()`
`void` | `propertyChange(java.beans.PropertyChangeEvent arg0)`
`void` | `release()`
`void` | `resetConfigOnMove(com.eviware.soapui.config.TestStepConfig config)` Called from WsdlTestCase when moving a teststep due to no move functionality in xmlbeans generated arrays.
`TestStepResult` | `run(TestRunner runner, TestRunContext runContext)`
`void` | `setDescription(java.lang.String description)`
`void` | `setName(java.lang.String name)`
`void` | `setOperation(WsdlOperation operation)`

Methods inherited from class com.eviware.soapui.impl.wsdl.teststeps.WsdlTestStep
`addProperty, addTestStepListener, createPanelBuilder, deleteProperty, finish, firePropertyAdded, firePropertyRemoved, firePropertyRenamed, firePropertyValueChanged, getProperty, getPropertyNames, getPropertyValue, getTestCase, getTestStepTitle, hasEditor, isDisabled, isForLoadTest, postInit, prepare, propertyRenamed, removeTestStepListener, setDisabled, setPropertyValue`

Methods inherited from class com.eviware.soapui.impl.wsdl.AbstractWsdlModelItem
`getConfig, getParent, getSettings, getWsdlModelItemByName, setConfig, setIcon, setSettings`

Methods inherited from class com.eviware.soapui.model.support.AbstractModelItem
`addPropertyChangeListener, addPropertyChangeListener, notifyPropertyChanged, notifyPropertyChanged, notifyPropertyChanged, removePropertyChangeListener, removePropertyChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.eviware.soapui.model.ModelItem
`getSettings`

Methods inherited from interface com.eviware.soapui.support.PropertyChangeNotifier
`addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### WsdlTestRequestStep

    public WsdlTestRequestStep(WsdlTestCase testCase,
                               com.eviware.soapui.config.TestStepConfig config,
                               boolean forLoadTest)

### WsdlTestRequestStep

    public WsdlTestRequestStep(WsdlTestCase testCase,
                               com.eviware.soapui.config.TestStepConfig testStep,
                               WsdlRequest request)

### WsdlTestRequestStep

    public WsdlTestRequestStep(WsdlTestCase testCase,
                               WsdlTestRequest sourceRequest)

Method Detail

### clone

    public WsdlTestStep clone(WsdlTestCase targetTestCase,
                              java.lang.String name)

  Description copied from class: `WsdlTestStep`
  Called after cloning for custom behaviour

  Overrides:
    `clone` in class `WsdlTestStep`

### getInterfaceName

    public java.lang.String getInterfaceName()

### getOperationName

    public java.lang.String getOperationName()

### release

    public void release()

  Overrides:
    `release` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>`

### resetConfigOnMove

    public void resetConfigOnMove(com.eviware.soapui.config.TestStepConfig config)

  Description copied from class: `WsdlTestStep`
  Called from WsdlTestCase when moving a teststep due to no move functionality in xmlbeans generated arrays.

  Overrides:
    `resetConfigOnMove` in class `WsdlTestStep`
  Parameters:
    `config` - the new config to use, will be a copy of the existing one. The current will be invalid

### getIcon

    public javax.swing.ImageIcon getIcon()

  Specified by:
    `getIcon` in interface `ModelItem`
  Overrides:
    `getIcon` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ModelItem`
  Overrides:
    `getName` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>`

### getTestRequest

    public WsdlTestRequest getTestRequest()

### setName

    public void setName(java.lang.String name)

  Overrides:
    `setName` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent arg0)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`

### run

    public TestStepResult run(TestRunner runner,
                              TestRunContext runContext)

  Specified by:
    `run` in interface `TestStep`

### getAssertionAt

    public WsdlMessageAssertion getAssertionAt(int index)

### getAssertionCount

    public int getAssertionCount()

### cancel

    public boolean cancel()

  Specified by:
    `cancel` in interface `TestStep`
  Overrides:
    `cancel` in class `WsdlTestStep`

### getRequiredInterfaces

    public java.util.Collection<WsdlInterface> getRequiredInterfaces()

  Overrides:
    `getRequiredInterfaces` in class `WsdlTestStep`

### dependsOn

    public boolean dependsOn(AbstractWsdlModelItem modelItem)

  Overrides:
    `dependsOn` in class `WsdlTestStep`

### onSave

    public void onSave()

  Overrides:
    `onSave` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `ModelItem`
  Overrides:
    `getDescription` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>`

### setDescription

    public void setDescription(java.lang.String description)

  Overrides:
    `setDescription` in class `AbstractWsdlModelItem<com.eviware.soapui.config.TestStepConfig>`

### setOperation

    public void setOperation(WsdlOperation operation)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.